﻿@{
    Layout = "~/Areas/Admin/Views/Shared/_Layout.cshtml";
}

@section Scripts{
    <script src="~/controller/category/categories.js"></script>
    <script>
        var categories = new categoriesController();
        categories.initialize();
    </script>
}

    <script language="javascript">
        function ToggleAll(e, action) {
            if (e.checked) {
                CheckAll();
            }
            else {
                ClearAll();
            }
        }

        function CheckAll() {
            var ml = document.forms[0];
            var len = ml.elements.length;
            for (var i = 1; i < len; i++) {
                var e = ml.elements[i];

                if (e.name.toString().indexOf("chkSelect") > 0)
                    e.checked = true;
            }
            ml.MainContent_GridItemList_toggleSelect.checked = true;
        }

        function ClearAll() {
            var ml = document.forms[0];
            var len = ml.elements.length;
            for (var i = 1; i < len; i++) {
                var e = ml.elements[i];
                if (e.name.toString().indexOf("chkSelect") > 0)
                    e.checked = false;
            }
            ml.MainContent_GridItemList_toggleSelect.checked = false;
        }

        function selectChange() {
            var radioButtons = document.getElementsByName("rblType");
            for (var x = 0; x < radioButtons.length; x++) {
                if (radioButtons[x].checked) {
                    if (radioButtons[x].value == 1) { CheckAll(); }
                }
            }

        }
    </script>
    <div class="row page-header">
        <a href="/admin/category/category" class="btn btn-success btn-sm">
            <span class="glyphicon glyphicon-plus"
              aria-hidden="true"></span>&nbsp;Thêm mới
        </a>
        <a ID="Lbsave" runat="server" class="btn btn-default btn-sm" onclick="lbtSave()"><span class="glyphicon glyphicon-pencil" aria-hidden="true"></span>&nbsp;Lưu</a>
        <a href="#" onclick="javascript:document.location.reload(true);" class="btn btn-default btn-sm">
            <span class="glyphicon glyphicon-random" aria-hidden="true"></span>&nbsp;Refresh
        </a>
        <a ID="Lbdelete" runat="server" class="btn btn-default btn-sm" onclick="lbtDelete"
       OnClientClick="return confirm('Bạn có chắc chắn xóa không?');"><span class="glyphicon glyphicon-trash" aria-hidden="true"></span>&nbsp;Xóa</a>
    </div>
    <div class="row page-header">
        <div class="form-inline">
            <div class="form-group">
                <input type="text" class="form-control col-sm-6" id="txtKeyword" placeholder="Từ khóa" /> &nbsp;
                <a id="btnSearch" class="btn btn-default">Tìm kiếm</a>
            </div>

        </div>
    </div>
    <div class="row">
        <div class="panel panel-primary">
            <div class="panel-heading">
                <h3 class="panel-title">
                    Danh mục
                </h3>
            </div>
            <div class="panel-body table-responsive">
                <table class="table table-striped">
                    <tr>
                        <td>
                            #
                        </td>
                        <td>
                            Chuyên mục
                        </td>
                        <td>
                            Trạng thái
                        </td>

                        <td>
                            Chỉnh sửa
                        </td>
                        <td>
                            Xóa
                        </td>
                    </tr>
                    <tbody id="tblCategory">
                    </tbody>
                </table>
            </div>
        </div>
    </div>
    <script id="table-template" type="x-tmpl-mustache">
        <tr>
            <td>{{Stt}}</td>
            <td><b>{{Name}}</b></td>
            <td><b>{{{Status}}}</b></td>
            <td scope="row">
                <a class="btn  btn-sm" href="/admin/category/category?id={{Id}}"><i class="fa fa-pencil"></i></a>
            </td>
            <td scope="row">
                <a class="btn  btn-sm" onclick="deleteCategory('{{Id}}')"><i class="fa fa-trash"></i></a>
            </td>
        </tr>
    </script>